Test the VM backup
Test the VM backup
- application/json
Request Body
appId object required
TestVMBackupAppId
clientId int32Client Id of the hypervisor associated with the VM
apptypeId int32App type Id of the VM
instanceId int32Instance Id of the hypervisor associated with the VM
backupsetId int32vmList object[] required
name stringName of the VM
guid stringGuid of the VM
proxyClient object
TestVMBackupProxyClientEntity
clientId int32Proxy client Id
- transportMode string required
Possible values: [
AUTO,SAN,HOT_ADD,NAS,NBD_SSL,NBD]Default value:
AUTOtransport mode based on environment. Values are case sensitive
- quiesceFileSystem boolean
Default value:
false
Responses
- 200
- 400
- 403
- 500
OK
- application/json
- Schema
- Example (from schema)
Schema
- testVMBackupMessage string
- testVMBackupDetailMessage string
- errorCode int32
- errorMessage string
{
"testVMBackupMessage": "string",
"testVMBackupDetailMessage": "string",
"errorCode": 0,
"errorMessage": "string"
}
Bad Request
- application/json
- Schema
- Example (from schema)
Schema
- testVMBackupMessage string
- testVMBackupDetailMessage string
- errorCode int32
- errorMessage string
{
"testVMBackupMessage": "string",
"testVMBackupDetailMessage": "string",
"errorCode": 0,
"errorMessage": "string"
}
Forbidden
- application/json
- Schema
- Example (from schema)
Schema
- testVMBackupMessage string
- testVMBackupDetailMessage string
- errorCode int32
- errorMessage string
{
"testVMBackupMessage": "string",
"testVMBackupDetailMessage": "string",
"errorCode": 0,
"errorMessage": "string"
}
Internal Server Error
- application/json
- Schema
- Example (from schema)
Schema
- testVMBackupMessage string
- testVMBackupDetailMessage string
- errorCode int32
- errorMessage string
{
"testVMBackupMessage": "string",
"testVMBackupDetailMessage": "string",
"errorCode": 0,
"errorMessage": "string"
}
Loading...